### [Versions]

## 2.0.0
###### *2019/12/29*

- Update dependencies to latest versions
- Add unit testing based on jest
- Fix issues with health outcomes managements (adding, deleting, updating)
- Fix modifying transitions
- Implement autocomplete for transition names
- Reimplement specifying complementary transitions
- Add "annualDuration" parameter to transitions
- Convert models to JSON fully in JavaScript
- Support specifying average number of cases
- Add "remainingCases" parameter in health states

## 1.7.11
###### *2019/11/13*

- Update dependencies
- Fix blank outcome tree canvas after creating new outcome tree

## 1.7.10
###### *2019/05/30*

- Update dependencies
- Enable hot reloading of react dom
- Fix material-ui warnings after update to version 4.0.1

## 1.7.9
###### *2019/02/23*

- Add model specification version check
- Disable emailing models if tool run outside of BCoDE toolkit.

## 1.7.8
###### *2019/02/22*

- Support specifying complementary transitions
- Support modifying all transition parameters

## 1.7.7
###### *2019/02/21*

- Fix disabling "Apply changes" of disease meta data if type is congenital and category name is empty
- Support output tree mapping congenital adjustments for new and loaded models

## 1.7.6
###### *2019/02/20*

- Provide UI for setting congenital type and name of the category
- Make outcome tree mapping respond to changes in the congenital type
- Split dims to dimValues and dimOrder. Adjust serialization accordingly.

## 1.7.5
###### *2019/02/19*

- Allow selecting health states as sources/targets when creating/modifying transitions
- Change repo address to use ssl url

## 1.7.4
###### *2019/02/18*

- Make GetTopologicalOrder function generic, use it for validation of transitions to be created

## 1.7.3
###### *2019/02/17*

- Upgrade material-ui to version 4.0.0-alpha.0
- Implement Kahn's algorithm for topological order of directed acyclic graphs (DAG) for outcome trees, with ensuring
  predefined order of health outcome types.

## 1.7.2
###### *2019/02/15*

- Fix deleting health outcomes/stats.
- Fix detecting old, non-existent transition names as present in the outcome tree.

## 1.7.1
###### *2019/02/15*

- Resolve issues with rendering outcome trees (grouping removed).
