import React from 'react';
import PropTypes from 'prop-types';
import { observer } from 'mobx-react';
import Typography from '@material-ui/core/Typography';

const DescriptionText = ({ text }) => (
  <Typography variant="caption" gutterBottom>
    {text}
  </Typography>
);

DescriptionText.propTypes = {
  text: PropTypes.string,
};

DescriptionText.defaultProps = {
  text: '',
};

export default observer(DescriptionText);
