import React from 'react';
import PropTypes from 'prop-types';
import { observer } from 'mobx-react';
import Typography from '@material-ui/core/Typography';

const ListTitle = ({ title }) => (
  <Typography variant="h6" gutterBottom>
    {title}
  </Typography>
);

ListTitle.propTypes = {
  title: PropTypes.string,
};

ListTitle.defaultProps = {
  title: '',
};

export default observer(ListTitle);
