import { configure } from 'mobx';
import NotificationsStore from './Notifications';
import ModelsStore from './Models';
import './Serialization';

configure({
  enforceActions: 'observed',
});

export default class Stores {
  constructor() {
    this.notificationStore = new NotificationsStore(this);
    this.modelsStore = new ModelsStore(this);
  }
}
