export default (a, b, removeDuplicates = false, sort = false) => {
  if (a === b) return true;
  if (a == null || b == null) return false;

  let aCopy = a.slice();
  let bCopy = b.slice();

  if (removeDuplicates) {
    aCopy = [...new Set(aCopy)];
    bCopy = [...new Set(bCopy)];
  }

  if (aCopy.length !== bCopy.length) return false;

  if (sort) {
    aCopy = aCopy.sort();
    bCopy = bCopy.sort();
  }

  for (let i = 0; i < aCopy.length; i += 1) {
    if (aCopy[i] !== bCopy[i]) return false;
  }
  return true;
};
