import HasNonWhitespaces from './HasNonWhiteSpaces';

export default (restrictedNames = [], validText = ' ') => value => {
  if (!HasNonWhitespaces(value)) {
    return 'This field cannot be empty';
  }

  if (restrictedNames.includes(value)) {
    return 'This name is used already';
  }

  return validText;
};
