//==========================================================================================================================
//  'DiseaseReportMgr' class
//			This class...
//
//  Written by Daniel Lewandowski
//  Copyright @ 2015 NextPage Software
//==========================================================================================================================

#ifndef _fn_DiseaseReportMgr_
#define _fn_DiseaseReportMgr_

#include "fn/globals.h"

namespace fn {

class DiseaseReportMgr
{
public:
    // Constructor.
    //
    DiseaseReportMgr();

    // Destructor.
    //
    virtual ~DiseaseReportMgr();

    // Get html of the disease report
    //
    // 'diseaseId' - [in] Id of the disease
    //
    // Return - html code of the disease report
    QString getDiseaseReportHtml(const QString& diseaseId);

    // Set application path
    //
    // 'appPath' - [in] Path to the application executable
    //
    void setPath(const QString& appPath);

private:

    QString m_appPath;
};

}  // namespace fn

#endif  // _fn_DiseaseReportMgr_
