//==========================================================================================================================
//  'DataPresenter' class
//			This class implements a bridge from C++ to webkit for displaying internal data in the interface
//
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#ifndef _ui_AsymptomaticDataPresenter_
#define _ui_AsymptomaticDataPresenter_

#include "ui/DataPresenter.h"

namespace ui {

class AsymptomaticDataPresenter: public ui::DataPresenter
{

    Q_OBJECT

public:

	// Constructor.
	//
    AsymptomaticDataPresenter(const QVariantMap& elemInfo, const QString& caption, const bool resultsAvailable,
                              const QVariantMap& incidenceData, ui::WebGUI* webGUI, QWidget* parent = 0);

	// Destructor.
	//
    virtual ~AsymptomaticDataPresenter();
};

}  // namespace ui

#endif  // _ui_AsymptomaticDataPresenter_

