//==========================================================================================================================
//  Implementation file for "AboutWhatsNewDlg.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2016 NextPage Software
//==========================================================================================================================

#include "ui/WhatsNewDlg.h"

namespace ui {

WhatsNewDlg::WhatsNewDlg(ui::WebGUI* webGUI) :
    DataPresenter(QVariantMap(), "", false, webGUI, nullptr)
{
    setFixedSize(800, 600);
    m_webView.setUrl(QUrl("qrc:/interface/subpages/whatsNewView.html"));
    setWindowTitle("What's New");
    setWindowFlags(Qt::Window | Qt::WindowTitleHint | Qt::CustomizeWindowHint | Qt::WindowCloseButtonHint);
}

WhatsNewDlg::~WhatsNewDlg()
{

}

}
