//==========================================================================================================================
//  'DataPresenter' class
//			This class implements a bridge from C++ to webkit for displaying internal data in the interface
//
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#ifndef _ui_YLLHealthOutcomeDataPresenter_
#define _ui_YLLHealthOutcomeDataPresenter_

#include "ui/DataPresenter.h"

namespace ui {

class YLLHealthOutcomeDataPresenter: public ui::DataPresenter
{

    Q_OBJECT

public:

	// Constructor.
	//
    YLLHealthOutcomeDataPresenter(const QVariantMap& elemInfo, const QString& caption,
                                  const bool resultsAvailable, const QVariantMap& proportionData,
                                  const QVariantMap& incidenceData, const QVariantMap& burdenData, const QVariantMap& remLEData,
                                  ui::WebGUI* webGUI, QWidget* parent = 0);

	// Destructor.
	//
    virtual ~YLLHealthOutcomeDataPresenter();

};

}  // namespace ui

#endif  // _ui_YLLHealthOutcomeDataPresenter_

