import HasNonWhitespaces from '../../utilities/HasNonWhiteSpaces';

describe('HasNonWhitespaces function', () => {
  test('detects all whitespaces', () => {
    expect(HasNonWhitespaces(' ')).toEqual(false);
    expect(HasNonWhitespaces('\n')).toEqual(false);
    expect(HasNonWhitespaces('\t')).toEqual(false);
    expect(HasNonWhitespaces('\t\n')).toEqual(false);
  });

  test('detects some non-whitespaces', () => {
    expect(HasNonWhitespaces('\nTest')).toEqual(true);
    expect(HasNonWhitespaces('Test')).toEqual(true);
    expect(HasNonWhitespaces('Test ')).toEqual(true);
    expect(HasNonWhitespaces('Test \n')).toEqual(true);
  });
});
