export default jsonFile => {
  const fileReader = new FileReader();
  return new Promise((resolve, reject) => {
    fileReader.onload = event => {
      resolve(JSON.parse(event.target.result));
    };
    fileReader.onerror = reject;
    fileReader.readAsText(jsonFile);
  });
};
