import { WEB_REPOSITORY_ADDRESS } from '../settings';

export default jsonFile => {
  const request = {
    method: 'GET',
    mode: 'cors',
    cache: 'no-cache',
    headers: new Headers({
      'Content-Type': 'application/json',
    }),
  };

  return window
    .fetch(`${WEB_REPOSITORY_ADDRESS}/${jsonFile}`, request)
    .then(response => response.json());
};
