const { CleanWebpackPlugin } = require('clean-webpack-plugin');
const commonPaths = require('./paths');

module.exports = {
  mode: 'production',
  output: {
    filename: `${commonPaths.jsFolder}/[name].[hash].js`,
    path: commonPaths.outputPath_BCODE,
    chunkFilename: '[name].[chunkhash].js',
  },
  plugins: [new CleanWebpackPlugin()],
};
