//==========================================================================================================================
//  'FormulaChecker' class
//			This class...
//
//  Written by Daniel Lewandowski
//  Copyright @ 2013 NextPage Software
//==========================================================================================================================

#ifndef _fn_FormulaChecker_
#define _fn_FormulaChecker_

#include "fn/globals.h"

namespace fn {

class FormulaChecker 
{
public:

    static bool checkFormula(const QString& formula);

    static bool checkFormulas(const fn::StringBaseArray& formulaArray, fn::BoolBaseArray& formulaCheck);
    
private:	

    // Constructor.
    //
    FormulaChecker();

    // Destructor.
    //
    virtual ~FormulaChecker();

    // Formula parser
    fn::FormulaParser m_parser;

};

}  // namespace fn

#endif  // _fn_FormulaChecker_


