//==========================================================================================================================
//  Implementation file for "globals.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#include "fn/globals.h"

QStringList fn::InputType::CountryIds = QStringList() <<
    "CustomPopulation" << "EUEEA" << "Austria" << "Belgium" << "Bulgaria" << "Croatia" << "Cyprus"<< "CzechRepublic" <<
    "Denmark" << "Estonia" << "Finland" << "France" << "Germany" << "Greece" << "Hungary" << "Iceland" << "Ireland" << "Italy" << "Latvia" <<
    "Lithuania" << "Luxembourg" << "Malta" << "Netherlands" << "Norway" << "Poland" << "Portugal" << "Romania" << "Slovakia" <<
    "Slovenia" << "Spain" << "Sweden" << "UnitedKingdom" << "Generic";

QStringList fn::InputType::BaselineAMRDiseaseIds = QStringList() <<
    "BaselineBSI" << "BaselineRESP" << "BaselineUTI" << "BaselineSSI" << "BaselineOTH" <<
    "Klebsiella3GCRKPBSI" << "Klebsiella3GCRKPRESP" << "Klebsiella3GCRKPUTI" << "Klebsiella3GCRKPSSI" << "Klebsiella3GCRKPOTH" <<
    "KlebsiellaCRKPBSI" << "KlebsiellaCRKPRESP" << "KlebsiellaCRKPUTI" << "KlebsiellaCRKPSSI" << "KlebsiellaCRKPOTH" <<
    "KlebsiellaColRKPBSI" << "KlebsiellaColRKPRESP" << "KlebsiellaColRKPUTI" << "KlebsiellaColRKPSSI" << "KlebsiellaColRKPOTH" <<
    "EscherichiaColi3GCRECBSI" << "EscherichiaColi3GCRECRESP" << "EscherichiaColi3GCRECUTI" << "EscherichiaColi3GCRECSSI" << "EscherichiaColi3GCRECOTH" <<
    "EscherichiaColiCRECBSI" << "EscherichiaColiCRECRESP" << "EscherichiaColiCRECUTI" << "EscherichiaColiCRECSSI" << "EscherichiaColiCRECOTH" <<
    "EscherichiaColiColRECBSI" << "EscherichiaColiColRECRESP" << "EscherichiaColiColRECUTI" << "EscherichiaColiColRECSSI" << "EscherichiaColiColRECOTH" <<
    "AcinetobacterSppMDRACIBSI" << "AcinetobacterSppMDRACIRESP" << "AcinetobacterSppMDRACIUTI" << "AcinetobacterSppMDRACISSI" << "AcinetobacterSppMDRACIOTH" <<
    "AcinetobacterSppCRACIBSI" << "AcinetobacterSppCRACIRESP" << "AcinetobacterSppCRACIUTI" << "AcinetobacterSppCRACISSI" << "AcinetobacterSppCRACIOTH" <<
    "AcinetobacterSppColRACIBSI" << "AcinetobacterSppColRACIRESP" << "AcinetobacterSppColRACIUTI" << "AcinetobacterSppColRACISSI" << "AcinetobacterSppColRACIOTH" <<
    "PseudomonasAeruginosaMDRPABSI" << "PseudomonasAeruginosaMDRPARESP" << "PseudomonasAeruginosaMDRPAUTI" << "PseudomonasAeruginosaMDRPASSI" << "PseudomonasAeruginosaMDRPAOTH" <<
    "PseudomonasAeruginosaCRPABSI" << "PseudomonasAeruginosaCRPARESP" << "PseudomonasAeruginosaCRPAUTI" << "PseudomonasAeruginosaCRPASSI" << "PseudomonasAeruginosaCRPAOTH" <<
    "PseudomonasAeruginosaColRPABSI" << "PseudomonasAeruginosaColRPARESP" << "PseudomonasAeruginosaColRPAUTI" << "PseudomonasAeruginosaColRPASSI" << "PseudomonasAeruginosaColRPAOTH" <<
    "StaphylococcusAureusMRSABSI" << "StaphylococcusAureusMRSARESP" << "StaphylococcusAureusMRSAUTI" << "StaphylococcusAureusMRSASSI" << "StaphylococcusAureusMRSAOTH" <<
    "EnterococcusFaecalisVREBSI" << "EnterococcusFaecalisVRERESP" << "EnterococcusFaecalisVREUTI" << "EnterococcusFaecalisVRESSI" << "EnterococcusFaecalisVREOTH" <<
    "StreptococcusPneumoniaePRSPBSI" << "StreptococcusPneumoniaePRSPRESP" << "StreptococcusPneumoniaePRSPUTI" << "StreptococcusPneumoniaePRSPSSI" << "StreptococcusPneumoniaePRSPOTH" <<
    "StreptococcusPneumoniaePMRSPBSI" << "StreptococcusPneumoniaePMRSPRES" << "StreptococcusPneumoniaePMRSPUTI" << "StreptococcusPneumoniaePMRSPSSI" << "StreptococcusPneumoniaePMRSPOTH";
