bcode.grids2 = (function ($) {

  // Constructor
  function DetailedResultsTable(parentElem, columns, data, options) {
    var tableTemplate = "<div style='width: " + options.width + "px' class='detailedResultsTable gridContainer'>";
    var headerTemplate = "<div class='slick-header'><div class='slick-header-columns'></div></div>";
    var headerCellTemplate = "<div class='ui-state-default slick-header-column' style='width: %width%px'>%caption%</div>";
    var dataCellTemplate = "<div class='slick-row' style='width: %width%px'>%caption%</div>";

    this.tableContainer = $(tableTemplate).appendTo(parentElem);
    this.headerContainer = $(headerTemplate).appendTo(this.tableContainer);

    var updatedColumns = bcode.grids.fillColumnsWidths(columns, options.width);

    // Populate header cells
    var headerCellsHtml = updatedColumns.map(function (elem) { return headerCellTemplate.replace('%width%', elem.width).replace('%caption%', elem.name); }).join("");
    var headerCells = $(headerCellsHtml).appendTo(this.headerContainer.children('.slick-header-columns'));
    headerCells.each(function (index) { $(this).addClass(updatedColumns[index].headerCssClass); });

    // Populate data cells

  }

  return {
    DetailedResultsTable: DetailedResultsTable
  };

})(jQuery);
