//==========================================================================================================================
//  Implementation file for "About3rdPartyDlg.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2016 NextPage Software
//==========================================================================================================================

#include "ui/About3rdPartyDlg.h"

namespace ui {

About3rdPartyDlg::About3rdPartyDlg(ui::WebGUI* webGUI) :
    DataPresenter(QVariantMap(), "", false, webGUI, nullptr)
{
    setFixedSize(800, 350);
    m_webView.setUrl(QUrl("qrc:/interface/subpages/about3rdPartyView.html"));
    setWindowTitle("3rd Party Libraries - About");
    setWindowFlags(Qt::Window | Qt::WindowTitleHint | Qt::CustomizeWindowHint | Qt::WindowCloseButtonHint);
}

About3rdPartyDlg::~About3rdPartyDlg()
{

}

}
