//==========================================================================================================================
//  Implementation file for "AboutBcodeDlg.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2016 NextPage Software
//==========================================================================================================================

#include "ui/AboutBcodeDlg.h"

namespace ui {

AboutBcodeDlg::AboutBcodeDlg(ui::WebGUI* webGUI, const QVariantMap& buildInfo) :
    DataPresenter(QVariantMap(), "", false, webGUI, nullptr)
{
    setFixedSize(800, 600);
    m_webData.addData("BuildInfo", buildInfo);
    m_webView.page()->load(QUrl("qrc:/interface/subpages/aboutBcodeView.html"));
    setWindowTitle("BCoDE - About");
    setWindowFlags(Qt::Window | Qt::WindowTitleHint | Qt::CustomizeWindowHint | Qt::WindowCloseButtonHint);    
}

AboutBcodeDlg::~AboutBcodeDlg()
{

}

}
