//==========================================================================================================================
//  Implementation file for "DataPresenter.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#include "ui/AsymptomaticDataPresenter.h"

namespace ui {

AsymptomaticDataPresenter::AsymptomaticDataPresenter(const QVariantMap& elemInfo, const QString& caption, const bool resultsAvailable,
                                                     const QVariantMap& incidenceData, ui::WebGUI* webGUI, QWidget* parent) :
    DataPresenter(elemInfo, caption, resultsAvailable, webGUI, parent)
{
    resize(QSize(550, 700));
    m_webData.addData("IncidenceData", incidenceData);
    m_webView.setUrl(QUrl("qrc:/interface/subpages/asymptomaticView.html"));
    setWindowTitle("Health state data");
}

AsymptomaticDataPresenter::~AsymptomaticDataPresenter()
{

}

}  // namespace ui
