//==========================================================================================================================
//  'InfectionDataPresenter' class
//			This class implements a bridge from C++ to webkit for displaying internal data in the interface
//
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#ifndef _ui_InfectionDataPresenter_
#define _ui_InfectionDataPresenter_

#include "ui/DataPresenter.h"

namespace ui {

class InfectionDataPresenter: public ui::DataPresenter
{

    Q_OBJECT

public:

	// Constructor.
	//
    InfectionDataPresenter(const QVariantMap& elemInfo, const QString& caption, const bool resultsAvailable,
                           const QVariantMap& lifeExpData, const QVariantMap& sampleMeanOutputIncidence,
                           ui::WebGUI* webGUI, QWidget* parent = 0);

	// Destructor.
	//
    virtual ~InfectionDataPresenter();
};

}  // namespace ui

#endif  // _ui_InfectionDataPresenter_

