//==========================================================================================================================
//  'ModelCreateDlg' class
//			This class implements a dialog for the model maintenance tool.
//
//  Written by Daniel Lewandowski
//  Copyright @ 2018 NextPage Software
//==========================================================================================================================

#ifndef _ui_ModelCreateDlg_
#define _ui_ModelCreateDlg_

#include <QWebEngineView>

namespace ui {

class ModelCreateDlg: public QWebEngineView
{

    Q_OBJECT

public:

    // Constructor.
    //
    ModelCreateDlg(const QString& appPath, QWidget* parent = nullptr);

    // Destructor.
    //
    virtual ~ModelCreateDlg();

private:
    QString m_appPath;
};

}  // namespace ui

#endif  // _ui_ModelCreateDlg_
