//==========================================================================================================================
//  'SettingsDlg' class, inherited from 'QDialog'
//			This is the settings dialog.
//
//  Written by Daniel Lewandowski
//  Copyright @ 2012 NextPage Software
//==========================================================================================================================

#ifndef _ui_SettingsDlg_
#define _ui_SettingsDlg_

#include <QDialog>
#include "ui_SettingsDlg.h"
#include "fn/Settings.h"

namespace ui {

class SettingsDlg : public QDialog, public Ui::SettingsDlg
{
    Q_OBJECT
    
public:

    // Constructor
    explicit SettingsDlg(fn::Settings& settings, QWidget* parent = 0);

    // Destructor
    ~SettingsDlg();    

    // Write settings
    void writeSettings();

public slots:

    void dialogButtonClicked(QAbstractButton* button);

private:

    // Settings object
    fn::Settings& m_settings;

};

} // namespace ui

#endif // _ui_SettingsDlg_
