//==========================================================================================================================
//  'DataPresenter' class
//			This class implements a bridge from C++ to webkit for displaying internal data in the interface
//
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#ifndef _ui_TransProbDataPresenter_
#define _ui_TransProbDataPresenter_

#include "ui/DataPresenter.h"

namespace ui {

class TransProbDataPresenter: public ui::DataPresenter
{

    Q_OBJECT

public:

	// Constructor.
	//
    TransProbDataPresenter(const QVariantMap& elemInfo, const QString& caption, const bool resultsAvailable,
                           const bool isBaseTrans, const bool isRedistributeType, const QVariantMap& inputProbability,
                           const QVariantMap& inputRedistribution, const QVariantMap& outputProbabilityData,
                           const QVariantMap& outputRedistributionData, const QVariantMap& outputIncidenceData,
                           ui::WebGUI* webGUI, QWidget* parent = 0);

	// Destructor.
	//
    virtual ~TransProbDataPresenter();

};

}  // namespace ui

#endif  // _ui_TransProbDataPresenter_
