//==========================================================================================================================
//  'DataPresenter' class
//			This class implements a bridge from C++ to webkit for displaying internal data in the interface
//
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#ifndef _ui_YLDHealthOutcomeDataPresenter_
#define _ui_YLDHealthOutcomeDataPresenter_

#include "ui/DataPresenter.h"

namespace ui {

class YLDHealthOutcomeDataPresenter: public ui::DataPresenter
{

    Q_OBJECT

public:

    // Constructor.
    //
    YLDHealthOutcomeDataPresenter(const QVariantMap& elemInfo, const QString& caption, const bool resultsAvailable,
                                  const QVariantMap& severityData, const QVariantMap& durationData,
                                  const QVariantMap& proportionData, const QVariantMap& incidenceData,
                                  const QVariantMap& burdenData, const QVariantMap& remLEData, ui::WebGUI* webGUI, QWidget* parent = 0);

    // Destructor.
    //
    virtual ~YLDHealthOutcomeDataPresenter();

};

}  // namespace ui

#endif  // _ui_YLDHealthOutcomeDataPresenter_
