//==========================================================================================================================
//  'Class' class
//			This class implements some utilities for Variant related containers.
//
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#ifndef _ut_VariantUtils_
#define _ut_VariantUtils_

#include "QVariantList"

namespace ut {

QVariantList DoubleQVectorToQVariantList(const QVector<double>& vector);
QVariantList BoolQVectorToQVariantList(const QVector<bool>& vector);

QVector<double> DoubleQVariantListToQVector(const QVariantList& variantList);
QVector<bool> BoolQVariantListToQVector(const QVariantList& variantList);


}  // namespace ut

#endif  // _ut_VariantUtils_

